콘텐츠로 건너뛰기

Wan Text to Video

통합

모델 id wan/v2.7/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.7/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.75 750 API 크레딧 이 페이지에서 실행

API 키 받기
Alibaba 텍스트를 동영상으로 립싱크2–15 s최대 1080p #stylized#transform#lipsync

2~15초 클립, 5개의 화면 비율 및 선택적 구동 오디오를 지원하는 텍스트-동영상

Doitong에서 제작됨

Doitong 커뮤니티가 Wan27로 만든 공개 작품입니다. 한 번의 클릭으로 프롬프트를 재사용하세요.

표시된 공개 작품: 5
Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a... 동영상

Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video must feel like a real spontaneous phone...

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone vide... 동영상

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video...

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with na... 동영상

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with natural acting, realistic lighting and believable facial expressions. All dialogue is spoken naturally in French. **SCENE 1 — EXPENSIVE RESTAURANT, EVENING — 0–5 sec** A young man in his late 20s is...

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... 동영상

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, c... 동영상

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, cinematic Christmas short film, high-quality realistic 3D animation. REFERENCE IMAGE — DASHA_001 Use the uploaded image as the exact character reference for Dasha. Preserve her recognizable face,...

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

생성할 동영상 설명입니다. 5000자로 제한됩니다.

duration 5 s

생성된 동영상의 길이(초)입니다. 2~15 범위입니다.

aspect_ratio 기본값 16:9

결과 동영상의 종횡비입니다.

resolution 기본값 1080p

결과 동영상의 해상도 등급입니다.

고급 negative_prompt · audio · seed · enable_prompt_expansion · enable_safety_checker

동영상에서 제외할 콘텐츠로, 500자로 제한됩니다.

audio_url
파일을 끌어다 놓거나

모델이 자동으로 생성할 배경 음악을 대체하는 선택적 구동 오디오 URL입니다. 제공하는 파일은 WAV 또는 MP3 형식이고, 길이는 3~30초, 크기는 15 MB 이하여야 합니다.

재현 가능한 결과를 위한 무작위 시드이며 범위는 0~2147483647입니다.

POST /run/wan/v2.7/text-to-video?wait=20 견적 → $0.75
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.7/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Wan Text to Video 정보

최대 5000자의 텍스트 프롬프트에서 동영상을 생성합니다. 출력은 16:9, 9:16, 1:1, 4:3 또는 3:4 화면 비율의 720p 또는 1080p이며, 지속 시간은 2~15초입니다. `audio_url`(WAV 또는 MP3, 3-30초)을 제공해 클립을 구동할 수 있으며, 제공하지 않으면 모델이 어울리는 배경 음악을 생성합니다. 네거티브 프롬프트와 프롬프트 확장을 사용할 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
생성할 동영상 설명입니다. 5000자로 제한됩니다.
audio_url선택 사항 audio
유형url · audio
모델이 자동으로 생성할 배경 음악을 대체하는 선택적 구동 오디오 URL입니다. 제공하는 파일은 WAV 또는 MP3 형식이고, 길이는 3~30초, 크기는 15 MB 이하여야 합니다.
aspect_ratio선택 사항
유형enum
기본값16:9
16:99:161:14:33:4
결과 동영상의 종횡비입니다.
resolution선택 사항
유형enum
기본값1080p
720p1080p
결과 동영상의 해상도 등급입니다.
duration선택 사항
유형enum
기본값5
23456789101112131415
생성된 동영상의 길이(초)입니다. 2~15 범위입니다.
negative_prompt선택 사항
유형string | null
동영상에서 제외할 콘텐츠로, 500자로 제한됩니다.
enable_prompt_expansion선택 사항
유형boolean
기본값true
프롬프트를 지능적으로 다시 작성합니다.
seed선택 사항
유형integer | null
재현 가능한 결과를 위한 무작위 시드이며 범위는 0~2147483647입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
모든 요청에서 입력과 출력을 검사합니다. 계정에 비활성화 권한이 있고 옵션을 끈 경우에만 해제됩니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.7/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 750,
    "usd": "0.75",
    "charged": 750,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "actual_prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}생성으로 만들어진 동영상 파일입니다.
seed
integer생성 중 적용되는 시드 값입니다.
actual_prompt
string | null프롬프트 다시 쓰기가 활성화되었을 때 실제로 적용된 프롬프트입니다.

더 많은 모델: 텍스트를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/wan/v2.7/text-to-video.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt